$! ------------------ CUT HERE -----------------------
$!
$! This archive created by VMS_SHARE Version 7.1-001  26-JUN-1989
$!   On  1-JAN-1992 13:46:46.05   By user U2103724 
$!
$! This VMS_SHARE Written by:
$!    Andy Harper, Kings College London UK
$!
$! Acknowledgements to:
$!    James Gray       - Original VMS_SHARE
$!    Michael Bednarek - Original Concept and implementation
$!
$! TO UNPACK THIS SHARE FILE, CONCATENATE ALL PARTS IN ORDER
$! AND EXECUTE AS A COMMAND PROCEDURE  (  @name  )
$!
$! THE FOLLOWING FILE(S) WILL BE CREATED AFTER UNPACKING:
$!       1. VERSION.C;4
$!
$f=f$parse("SHARE_TEMP","SYS$SCRATCH:.TMP_"+f$getjpi("","PID"))
$e="write sys$error  ""%UNPACK"", "
$w="write sys$output ""%UNPACK"", "
$ if f$trnlnm("SHARE_LOG") then $ w = "!"
$ if f$getsyi("version") .ges. "4.4" then $ goto START
$ e "-E-OLDVER, Must run at least VMS 4.4"
$ exit 44
$UNPACK: SUBROUTINE ! P1=filename, P2=checksum
$ if f$search(P1) .eqs. "" then $ goto file_absent
$ e "-W-EXISTS, File ''P1' exists. Skipped."
$ delete/nolog 'f'*
$ exit
$file_absent:
$ if f$parse(P1) .nes. "" then $ goto dirok
$ dn=f$parse(P1,,,"DIRECTORY")
$ w "-I-CREDIR, Creating directory ''dn'."
$ create/dir 'dn'
$ if $status then $ goto dirok
$ e "-E-CREDIRFAIL, Unable to create ''dn'. File skipped."
$ delete/nolog 'f'*
$ exit
$dirok:
$ w "-I-PROCESS, Processing file ''P1'."
$ define/user sys$output nl:
$ EDIT/TPU/NOSEC/NODIS/COM=SYS$INPUT 'f'/OUT='P1'
PROCEDURE Unpacker ON_ERROR ENDON_ERROR;SET(FACILITY_NAME,"UNPACK");SET(
SUCCESS,OFF);SET(INFORMATIONAL,OFF);f:=GET_INFO(COMMAND_LINE,"file_name");
buff:=CREATE_BUFFER(f,f);p:=SPAN(" ")@r&LINE_END;POSITION(BEGINNING_OF(buff))
;LOOP EXITIF SEARCH(p,FORWARD)=0;POSITION(r);ERASE(r);ENDLOOP;POSITION(
BEGINNING_OF(buff));g:=0;LOOP EXITIF MARK(NONE)=END_OF(buff);x:=
ERASE_CHARACTER(1);IF g = 0 THEN IF x="X" THEN MOVE_VERTICAL(1);ENDIF;IF x=
"V" THEN APPEND_LINE;MOVE_HORIZONTAL(-CURRENT_OFFSET);MOVE_VERTICAL(1);ENDIF;
IF x="+" THEN g:=1;ERASE_LINE;ENDIF;ELSE IF x="-" THEN g:=0;ENDIF;ERASE_LINE;
ENDIF;ENDLOOP;p:="`";POSITION(BEGINNING_OF(buff));LOOP r:=SEARCH(p,FORWARD);
EXITIF r=0;POSITION(r);ERASE(r);COPY_TEXT(ASCII(INT(ERASE_CHARACTER(3))));
ENDLOOP;o:=GET_INFO(COMMAND_LINE,"output_file");WRITE_FILE(buff,o);
ENDPROCEDURE;Unpacker;EXIT;
$ delete/nolog 'f'*
$ CHECKSUM 'P1'
$ IF CHECKSUM$CHECKSUM .eqs. P2 THEN $ EXIT
$ e "-E-CHKSMFAIL, Checksum of ''P1' failed."
$ ENDSUBROUTINE
$START:
$ create/nolog 'f'
X/*
X *   IRC - Internet Relay Chat, ircd/version.c
X *   Copyright (C) 1990 Chelsea Ashley Dyerman
X *
X *   This program is free software; you can redistribute it and/or modify
X *   it under the terms of the GNU General Public License as published by
X *   the Free Software Foundation; either version 1, or (at your option)
X *   any later version.
X *
X *   This program is distributed in the hope that it will be useful,
X *   but WITHOUT ANY WARRANTY; without even the implied warranty of
X *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
X *   GNU General Public License for more details.
X *
X *   You should have received a copy of the GNU General Public License
X *   along with this program; if not, write to the Free Software
X *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
X */
X
X/*
X * This file is generated by version.c.SH. Any changes made will go away.
X */
X
X#include "struct.h"
X#include "patchlevel.h"
X
Xchar *generation = "";
Xchar *creation = __DATE__;
Xchar *version = PATCHLEVEL;
X
Xchar *infotext`091`093 =
X    `123
X`009"IRC --",
X`009"Based on the original code written by Jarkko Oikarinen",
X`009"Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
X`009"",
X`009"This program is free software; you can redistribute it and/or",
X`009"modify it under the terms of the GNU General Public License as",
X`009"published by the Free Software Foundation; either version 1, or",
X`009"(at your option) any later version.",
X`009"",
X`009"This version was ported to VMS by:",
X`009"GrayElf      Paul Williams            u2103724@csdvax.csd.unsw.oz.au",
X`009"",
X`009"The following persons have made many changes and enhancements to the",
X`009"code and still know how IRC really works if you have questions about it
V:",
X`009"",
X`009"WiZ          Jarkko Oikarinen         jto@tolsun.oulu.fi",
X`009"Avalon       Darren Reed              avalon@coombs.anu.edu.au",
X`009"Wumpus       Greg Lindahl             gl8f@virginia.edu",
X`009"msa          Markku Savela            Markku.Savela@vtt.fi",
X`009"",
X`009"Major debugging for version 2.7 provided by:",
X`009"",
X`009"pjg          Paul Graham              pjg@acsu.buffalo.edu",
X`009"",
X`009"Those who helped in prior versions and continue to be helpful:",
X`009"",
X `009"Stellan Klebom      Armin Gruner        Mike Bolotski",
X`009"Chelsea Dyerman     Markku Jarvinen     Kimmo Suominen",
X`009"Jeff Trim           Vijay Subramaniam   Karl Kleinpaste",
X`009"Bill Wisner         Tom Davis           Hugo Calendar",
X`009"Tom Hopkins         Stephen van den Berg",
X`009"Bo Adler            Michael Sandrof     Jon Solomon",
X`009"Jan Peterson        Helen Rose          Dan Goodwin",
X`009"",
X`009"Thanks also goes to those persons not mentioned here who have added",
X`009"their advice, opinions, and code to IRC.",
X`0090,
X    `125;
$ CALL UNPACK VERSION.C. 5532059
$ WRITE SYS$OUTPUT "Creating new VERSION.C file..."
$ OPEN/READ fd version.c
$ OPEN/WRITE fd2 version_new.c
$ReadLoop:
$ READ/END=End fd Line
$ IF F$LENGTH(Line) .EQ. 0 THEN GOTO Write
$ IF F$LOCATE("char *creation =",Line) .EQ. 0 THEN GOTO WriteCreat
$Write:
$   WRITE fd2 Line
$   GOTO ReadLoop
$WriteCreat:
$ WRITE fd2 "char *creation = ""''F$TIME()'"";"
$ GOTO ReadLoop
$End:
$ CLOSE fd2
$ CLOSE fd
$ RENAME version_new.c version.c
$ EXIT
